Bug 503583 (CVE-2009-1841) - CVE-2009-1841 Firefox JavaScript arbitrary code execution
Summary: CVE-2009-1841 Firefox JavaScript arbitrary code execution
Status: CLOSED ERRATA
Alias: CVE-2009-1841
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=critical,source=mozilla,report...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-01 19:20 UTC by Josh Bressers
Modified: 2019-06-08 12:46 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-06-21 09:35:33 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1095 normal SHIPPED_LIVE Critical: firefox security update 2009-06-11 22:45:59 UTC
Red Hat Product Errata RHSA-2009:1096 normal SHIPPED_LIVE Critical: seamonkey security update 2009-06-11 23:17:59 UTC

Description Josh Bressers 2009-06-01 19:20:52 UTC
Mozilla security researcher moz_bug_r_a4 reported a series of
vulnerabilities which allow scripts from page content to run with elevated
privileges. Using these vulnerabilities, an attacker could cause a chrome
privileged object, such as the browser sidebar or the FeedWriter, to
interact with web content in such a way that attacker controlled code may
be executed with the object's chrome privileges.

Comment 2 errata-xmlrpc 2009-06-11 22:46:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1095 https://rhn.redhat.com/errata/RHSA-2009-1095.html

Comment 3 errata-xmlrpc 2009-06-11 23:18:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:1096 https://rhn.redhat.com/errata/RHSA-2009-1096.html

Comment 4 Fedora Update System 2009-06-16 02:18:24 UTC
firefox-3.0.11-1.fc10, xulrunner-1.9.0.11-1.fc10, epiphany-2.24.3-7.fc10, epiphany-extensions-2.24.3-2.fc10, blam-1.8.5-11.fc10, devhelp-0.22-9.fc10, galeon-2.0.7-11.fc10, gecko-sharp2-0.13-9.fc10, gnome-python2-extras-2.19.1-31.fc10, gnome-web-photo-0.3-19.fc10, google-gadgets-0.10.5-7.fc10, kazehakase-0.5.6-4.fc10.3, Miro-2.0.3-5.fc10, mozvoikko-0.9.5-11.fc10, mugshot-1.2.2-10.fc10, pcmanx-gtk2-0.3.8-10.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.2, ruby-gnome2-0.18.1-5.fc10.3, yelp-2.24.0-10.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-06-16 02:31:41 UTC
firefox-3.0.11-1.fc9, xulrunner-1.9.0.11-1.fc9, epiphany-2.22.2-12.fc9, epiphany-extensions-2.22.1-12.fc9, blam-1.8.5-10.fc9.1, chmsee-1.0.1-13.fc9, devhelp-0.19.1-13.fc9, evolution-rss-0.1.0-12.fc9, galeon-2.0.7-11.fc9, gnome-python2-extras-2.19.1-28.fc9, gnome-web-photo-0.3-22.fc9, google-gadgets-0.10.5-7.fc9, gtkmozembedmm-1.4.2.cvs20060817-30.fc9, kazehakase-0.5.6-4.fc9.3, Miro-2.0.3-5.fc9, mozvoikko-0.9.5-11.fc9, mugshot-1.2.2-10.fc9, ruby-gnome2-0.17.0-10.fc9, totem-2.23.2-17.fc9, yelp-2.22.1-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-07-16 06:56:23 UTC
seamonkey-1.1.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-07-16 07:10:03 UTC
seamonkey-1.1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.